<?php

namespace EscapeWork\Manager\Medias\Observers;

class MediaObserver
{

    public function creating($media)
    {
        $media->order = $media->getNextOrder();
    }

    public function created($media)
    {
        $name = $media->id . '-' . $media->file;
        $file = config('manager-medias.medias.dir') . '/' . $media->file;
        $new  = config('manager-medias.medias.dir') . '/' . $name;

        # renomeando o arquivo
        rename($file, $new);

        # salvando no banco
        $media->file = $name;
        $media->save();
    }
}
